﻿#1. Check existing file script:
# Enter file name of a specific file here as example
$FileName = "Sample.txt"

# Enter specific path of the file here as example
$Path = "D:\Test"

# We will concatenate $FileName and $Path as a path to the specific file
# In this example: $Path\$FileName = D:\Test\Sample.txt
$FilePath = "$Path\$FileName"

# We need to get the current workspace path before execute other scripts
$WorkspacePath = split-path -parent $MyInvocation.MyCommand.Definition

# Execute the powershell script "Win-CheckExistingFileScript.ps1" to check the file is exists or not
$fileExists = &"$WorkspacePath\Win-CheckExistingFileScript.ps1" $FilePath


#2. Check whether a specific process is running on the system

# Enter process name here
# Process name does not contain suffix .exe
# E.g: chrome instead of chrome.exe
$ProcessName = "chrome"

# Execute the powershell script "Win-CheckRunningProcessScript.ps1" to check the process is running or not
$processRunning = &"$WorkspacePath\Win-CheckRunningProcessScript.ps1" $ProcessName


#3. Check the result on the above script
Write-Output "[output]"
$Msg = ""
if ($FileExists -eq $True -and $processRunning -eq $True)
{
$Msg = "File is exists and the process is running"
Write-Output "result=1"
}
else
{
$Msg = "File is not exists or process is not running"
Write-Output "result=0"
}

Write-Output "msg=$Msg"